ISAG(1)

NAME
isag - Interactive System Activity Grapher

SYNOPSIS
isag [-p datafiles_path] [-c config_file] [-ght gr_height] [-gwd gr_width]

DESCRIPTION
The isag command graphically displays the system activity data stored in a binary data file by a previous sar run. The isag command invokes sar to extract the data to be plotted.

The data are processed using sar command and slightly transformed to tabular format, and then this format is visualized using gnuplot program.

OPTIONS
Specify the pathname where are located the daily data files. Default path is: /var/log/sa Specify the configuration file used by the isag command. The contents of this file may depend on isag version number. Default config file is: $HOME/.isag.cfg. Specify the height of the chart area. Default value is: 400. Specify the width of the chart area. Default value is: 720.

CONFIG FILE
As mentioned above there is a config file. There are stored following values:

It seems usefull, because new run doesn't need new settings to obtain same scale.

PREREQUSITIES
Here is list of prerequsities including versioning and built-in features. Version 8.0 or newer. Gnuplot must have a tkcanvas display.

AUTHOR
D. Doubrava 2000, 2002 e-mail: linux_monitor(at)volny(dot)cz

HTTP Site: http://www.volny.cz/linux_monitor/isag/index.html

SEE ALSO
sar (1), sadc (8).